﻿using System;
using System.Collections.Generic;
using System.Text;
using Higuchi.Net.Mail;

namespace Higuchi.Net.Smtp
{
    /// Represent the result of sending smtp mail.
    /// <summary>
    /// Represent the result of sending smtp mail.
    /// </summary>
    public class SendMailResult
    {
        private Boolean _SendSuccessful = false;
        private List<MailAddress> _InvalidMailAddressList = new List<MailAddress>();
        private String _Data = "";
		/// <summary>
		/// 
		/// </summary>
        public Boolean SendSuccessful
        {
            get { return this._SendSuccessful; }
            set { this._SendSuccessful = value; }
        }
		/// <summary>
		/// 
		/// </summary>
        public List<MailAddress> InvalidMailAddressList
        {
            get { return this._InvalidMailAddressList; }
        }
		/// <summary>
		/// 
		/// </summary>
        public String Data
        {
            get { return _Data; }
        }
		/// <summary>
		/// 
		/// </summary>
        public SendMailResult()
        {
        }
		/// <summary>
		/// 
		/// </summary>
		/// <param name="sendSuccessful"></param>
        public SendMailResult(Boolean sendSuccessful)
        {
            this._SendSuccessful = sendSuccessful;
        }
		/// <summary>
		/// 
		/// </summary>
		/// <param name="sendSuccessful"></param>
		/// <param name="data"></param>
        public SendMailResult(Boolean sendSuccessful, String data)
        {
            this._SendSuccessful = sendSuccessful;
            this._Data = data;
        }
    }
}
