﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Higuchi.Net
{
	/// <summary>
	/// Message event raise during socket communication.
	/// </summary>
	public class SocketMessageEventArgs : EventArgs
	{
		/// <summary>
		/// Message text send at request or response.
		/// </summary>
		public String Text { get; set; }
		/// <summary>
		/// 
		/// </summary>
		/// <param name="text"></param>
		public SocketMessageEventArgs(String text)
		{
			this.Text = text;
		}
	}
}
