﻿using System;
using System.Collections.Generic;
using System.Text;
using Higuchi.Net.Mail;

namespace Higuchi.Net.Pop3
{
    /// <summary>Represents result of pop3 command class.
    /// </summary>
    public class Pop3CommandResult
    {
        private String _Text = "";
        private Boolean _Ok = true;
		/// <summary>
		/// 
		/// </summary>
        public String Text
        {
            get { return this._Text; }
        }
		/// <summary>
		/// 
		/// </summary>
        public Boolean Ok
        {
            get { return this._Ok; }
        }
		/// <summary>
		/// 
		/// </summary>
		/// <param name="text"></param>
        public Pop3CommandResult(String text)
        {
            this._Ok = MailParser.IsResponseOk(text);
            this._Text = text;
        }
    }
}
