﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace Higuchi.Net.Mail
{
	public interface IMailDataProvider
	{
		List<String> AuthenticatedUserNameList { get; }
		Boolean Authenticate(String userName, String password);
		Boolean AuthenticateAPop(String userName, String password, String timeStamp);
		void Save(String userName, String data);
		Boolean IsConnect(String userName);
		String List(String userName);
		String Uidl(String userName);
		String Stat(String userName);
		String Retr(String userName, Int32 index);
		String Top(String userName, Int32 index, Int32 top);
		void Dele(String userName, List<Int32> indexList);
		void Quit(String userName);
	}
}
